@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

body {
    font-family: "Nunito", sans-serif;

}

.container {
    display: flex;
    justify-content: center;
    padding: 20px;
}



.logo {
    text-align: center;
}

.logo img {
    width: 150px;
}

.title {
    text-align: center;
    color: rgb(0, 0, 0);
    font-size: 20px;
    margin-bottom: 20px;
    font-family: "Bebas Neue", sans-serif;
}

/* FLEX BUTTONS */
.menu {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 30px;
    flex-wrap: wrap;
}

.btn {
    padding: 12px 30px;
    border: 1px solid white;
    background: #c9a227;
    color: white;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.3s;
    font-family: "Nunito", sans-serif;
}

/* SELECTED BUTTON */
.btn.active {
    background: white;
    color: black;
}

/* SECTION */
.menu-section {
    border-radius: 15px;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
}

.menu-section img {
    width: 300px;
    border-radius: 12px;
}


.menu-gallery {
    width: 100%;
    border-radius: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.menu-gallery img {
    width: 280px;
    border-radius: 12px;
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .menu {
        flex-direction: column;
        align-items: center;
    }

    .menu-section img {
        width: 100%;
    }

    .btn {
        width: 100%;
    }

    .menu-gallery img {
        width: 100%;
    }
}

.hero {
    text-align: center;
    margin: 40px 0;
}

.sub-title {
    color: #c9a227;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-size: 14px;
    margin-bottom: 10px;
}


.description {
    color: #303030;
    font-size: 14px;
    max-width: 600px;
    margin: auto;
    line-height: 1.6;
}

.wrapper {
    max-width: 1200px;
    background: rgba(255, 255, 255, 0.03);
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.08);
    border-radius: 25px;
}



.menu-section img:hover {
    transform: scale(1.03);
    box-shadow: 0 15px 40px rgba(201, 162, 39, 0.2);
}

.floating-menu {
    position: fixed;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 15px;
    z-index: 999;
}

.float-btn {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 1px solid #c9a227;
    background: rgba(0, 0, 0, 0.8);
    color: white;
    font-size: 15px;
    cursor: pointer;
    transition: 0.3s;
}

.float-btn:hover {
    transform: scale(1.1);
}

.float-btn.active {
    background: #c9a227;
    color: black;
}

.footer {
    text-align: center;
    margin-top: 60px;
    color: #2f2f2f;
    font-size: 14px;
    padding-bottom: 50px;
}


.modal {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2000;
}

.modal-content {
    width: 90%;
    max-width: 500px;
    background: #ffffff;
    border: 1px solid rgba(201, 162, 39, 0.4);
    border-radius: 20px;
    padding: 40px;
    text-align: center;
    color: rgb(15, 15, 15);
    position: relative;
    box-shadow: 0 20px 60px rgba(0, 0, 0, 0.4);
}

.modal-subtitle {
    color: #c9a227;
    letter-spacing: 3px;
    text-transform: uppercase;
    font-size: 13px;
    margin-bottom: 10px;
}

.modal-text {
    color: #a2a2a2;
    margin: 20px 0;
    line-height: 1.6;
    font-size: 11pt;
}

#emailInput {
    width: 90%;
    padding: 15px;
    margin-bottom: 20px;
    border-radius: 10px;
    border: 1px solid #b8b8b8;
    background: #f6f6f6;
    color: black;
    font-family: "Nunito", sans-serif;
}

.submit-btn {
    width: 100%;
    padding: 15px;
    background: #c9a227;
    color: black;
    border: none;
    border-radius: 10px;
    font-weight: bold;
    cursor: pointer;
    font-family: "Nunito", sans-serif;
}

.close-btn {
    position: absolute;
    right: 20px;
    top: 20px;
    background: none;
    border: none;
    color: #c9a227;
    font-size: 22px;
    cursor: pointer;
}